<?php
///////////////////////////////////////////////////////////////////////////////////////
// opencart1.4.1【日本語版】
// opencart.jp
// japan_post.php
// このファイルはゆうパックのモジュール(admin/model/shipping)
// ver 1.0.0 Coding By sae
// GPL ver 3
///////////////////////////////////////////////////////////////////////////////////////
class ModelShippingJapanPost extends Model {
	public function getZone($country_id) {
		$data = array();

		$query = $this->db->query( "SELECT * FROM " . DB_PREFIX . "zone WHERE `country_id` = " . $this->db->escape($country_id) );

		foreach ($query->rows as $result) {
			$data[$result['zone_id']] = $result['name'];
		}

		return $data;
	}

}
?>